# Get a rule

Launch stage: Beta

`GET /api/2.0/lakewatch/{name=rules/*}`

Returns a single rule by its resource name.

API scopes: lakewatch

## Path parameters

- `name` (string, required)
  Full resource name of the detection rule, in the form `rules/{rule_id}`.

## Returns

Returns the Rule object.

## Response

```json
{
  "name": "rules/550e8400-e29b-41d4-a716-446655440000",
  "rule_id": "string",
  "catalog_name": "string",
  "schema_name": "string",
  "effective_catalog_name": "string",
  "effective_schema_name": "string",
  "rule_name": "string",
  "effective_rule_name": "string",
  "description": "string",
  "version": 0,
  "create_time": "string",
  "update_time": "string",
  "created_by": {
    "id": "string",
    "principal_type": "REGULAR_USER",
    "email": "string",
    "display_name": "string"
  },
  "updated_by": {
    "id": "string",
    "principal_type": "REGULAR_USER",
    "email": "string",
    "display_name": "string"
  },
  "etag": "string",
  "annotations": {},
  "owner": {
    "id": "string",
    "principal_type": "REGULAR_USER",
    "email": "string",
    "display_name": "string"
  },
  "run_as_principal": "string",
  "effective_run_as_principal": "string",
  "category": "string",
  "severity": "string",
  "fidelity": "FIDELITY_DEVELOPMENT",
  "objective": "string",
  "mitre": [
    {
      "taxonomy": "string",
      "tactic": "string",
      "technique_id": "string",
      "technique": "string",
      "sub_technique_id": "string",
      "sub_technique": "string"
    }
  ],
  "deduplication": "DEDUPLICATION_DEFAULT",
  "deduplication_time_window": "string",
  "schedule": {
    "at_least_every": "string",
    "cron_expression": "string",
    "continuous": true,
    "enabled": true
  },
  "batch": {
    "sql": {},
    "custom": {},
    "warehouse_id": "string"
  },
  "output": {
    "summary": "string",
    "context": {},
    "default_context": true,
    "event_time_column": "string"
  },
  "status": {
    "job_id": "string",
    "lifecycle_state": "UNSCHEDULED",
    "run_state": "RUNNING",
    "last_error_message": "string",
    "create_time": "string",
    "last_start_time": "string",
    "last_complete_time": "string",
    "last_status_change_time": "string",
    "pipeline_id": "string"
  },
  "suppress_until_time": "string",
  "original_content_pack": {
    "uuid": "string",
    "version": "string"
  },
  "compute_workspace_id": "string",
  "content_resource_id": "string",
  "references": [
    "string"
  ],
  "runbook": "string",
  "timerange": {
    "extend_lookback": "string"
  }
}
```

